#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_with	python3	# CPython 3.x module (built from python3-path.spec)
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# py.test unit tests

Summary:	Python 2 module wrapper for os.path
Summary(pl.UTF-8):	Moduł Pythona 2 obudowujący os.path
Name:		python-path
# keep 11.x here for python2 support
Version:	11.5.2
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/path-py/
Source0:	https://files.pythonhosted.org/packages/source/p/path.py/path.py-%{version}.tar.gz
# Source0-md5:	f7330990e70574d917630c157eeb639a
URL:		https://github.com/jaraco/path.py
%if %{with tests} && %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 1:31.0.1
BuildRequires:	python-setuptools_scm >= 1.15.0
%if %{with tests}
BuildRequires:	python-appdirs
BuildRequires:	python-backports.os
BuildRequires:	python-importlib_metadata >= 0.5
BuildRequires:	python-packaging
BuildRequires:	python-pygments
BuildRequires:	python-pytest >= 3.5
BuildRequires:	python-pytest-flake8
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools >= 1:31.0.1
BuildRequires:	python3-setuptools_scm >= 1.15.0
%if %{with tests}
BuildRequires:	python3-appdirs
BuildRequires:	python3-importlib_metadata >= 0.5
BuildRequires:	python3-packaging
BuildRequires:	python3-pygments
BuildRequires:	python3-pytest >= 3.5
BuildRequires:	python3-pytest-flake8
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
BuildRequires:	python-alabaster
BuildRequires:	python-jaraco.packaging >= 3.2
BuildRequires:	python-rst.linker >= 1.9
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
path.py implements a path objects as first-class entities, allowing
common operations on files to be invoked on those path objects
directly.

%description -l pl.UTF-8
path.py implementuje obiekty ścieżek jako instancje pierwszoklasowe,
pozwalające na wykonywanie ogólnych operacji na plikach bezpośrednio
na tych ścieżkach.

%package -n python3-path
Summary:	Python 3 module wrapper for os.path
Summary(pl.UTF-8):	Moduł Pythona 3 obudowujący os.path
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-path
path.py implements a path objects as first-class entities, allowing
common operations on files to be invoked on those path objects
directly.

%description -n python3-path -l pl.UTF-8
path.py implementuje obiekty ścieżek jako instancje pierwszoklasowe,
pozwalające na wykonywanie ogólnych operacji na plikach bezpośrednio
na tych ścieżkach.

%package apidocs
Summary:	Documentation for Python path.py module
Summary(pl.UTF-8):	Dokumentacja modułu Pythona path.py
Group:		Documentation

%description apidocs
Documentation for Python path.py module.

%description apidocs -l pl.UTF-8
Dokumentacja modułu Pythona path.py.

%prep
%setup -q -n path.py-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
LC_ALL=C.UTF-8 \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_flake8" \
%{__python} -m pytest test_path.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
LC_ALL=C.UTF-8 \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_flake8" \
%{__python3} -m pytest test_path.py
%endif
%endif

%if %{with doc}
# disable warnings (-W in SPHINXOPTS) to ignore objects.inv fetching error on builders
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2 \
	SPHINXOPTS=
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/path.py[co]
%{py_sitescriptdir}/path.py-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-path
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/path.py
%{py3_sitescriptdir}/__pycache__/path.cpython-*.py[co]
%{py3_sitescriptdir}/path.py-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-path.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 34a1d6d
- rebuild with tests and docs

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> a57c4d1
- disable python3 here

* Thu Mar 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 92d2592
- release 3 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 024d673
- release 2 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> a6de411
- remove path.py 2.0.4 source

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 72104f0
- removed obsolete sphinx patch

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 045df15
- updated to 11.5.2
- switch docs build to python2 as python3 will use newer package version soon

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d3ee32f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> bdd88fb
- updated to 11.0.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b967bc4
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 69bf898
- allow build without docs.python.org accessible

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> b3ea5b3
- updated to 10.1
- added sphinx patch (fixes docs build)
- added python3- and -apidocs packages

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d5e1917
- release 6 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 49131dd
- BR: rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ae62c6e
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a46322
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 90ef777
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 902b512
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 170d900
- converted to UTF-8

* Sat Dec 25 2004 saq <saq@pld-linux.org> 1c1a334
- release 2 for rebuild with python 2.4

